module "cloudfront-s3-cdn" {
  source                                    = "cloudposse/cloudfront-s3-cdn/aws"
  version                                   = "0.90.0"
  for_each                                  = var.s3_cdn
  extra_origin_attributes                   = try(each.value.extra_origin_attributes, var.extra_origin_attributes)
  acm_certificate_arn                       = try(each.value.acm_certificate_arn, var.acm_certificate_arn)
  minimum_protocol_version                  = try(each.value.minimum_protocol_version, var.minimum_protocol_version)
  aliases                                   = try(each.value.aliases, var.aliases)
  external_aliases                          = try(each.value.external_aliases, var.external_aliases)
  additional_bucket_policy                  = try(each.value.additional_bucket_policy, var.additional_bucket_policy)
  override_origin_bucket_policy             = try(each.value.override_origin_bucket_policy, var.override_origin_bucket_policy)
  origin_bucket                             = try(each.value.origin_bucket, var.origin_bucket)
  origin_path                               = try(each.value.origin_path, var.origin_path)
  origin_force_destroy                      = try(each.value.origin_force_destroy, var.origin_force_destroy)
  compress                                  = try(each.value.compress, var.compress)
  default_root_object                       = try(each.value.default_root_object, var.default_root_object)
  comment                                   = try(each.value.comment, each.key)
  log_standard_transition_days              = try(each.value.log_standard_transition_days, var.log_standard_transition_days)
  log_glacier_transition_days               = try(each.value.log_glacier_transition_days, var.log_glacier_transition_days)
  log_expiration_days                       = try(each.value.log_expiration_days, var.log_expiration_days)
  log_versioning_enabled                    = try(each.value.log_versioning_enabled, var.log_versioning_enabled)
  forward_query_string                      = try(each.value.forward_query_string, var.forward_query_string)
  query_string_cache_keys                   = try(each.value.query_string_cache_keys, var.query_string_cache_keys)
  cors_allowed_headers                      = try(each.value.cors_allowed_headers, var.cors_allowed_headers)
  cors_allowed_methods                      = try(each.value.cors_allowed_methods, var.cors_allowed_methods)
  cors_allowed_origins                      = try(each.value.cors_allowed_origins, var.cors_allowed_origins)
  cors_expose_headers                       = try(each.value.cors_expose_headers, var.cors_expose_headers)
  cors_max_age_seconds                      = try(each.value.cors_max_age_seconds, var.cors_max_age_seconds)
  forward_cookies                           = try(each.value.forward_cookies, var.forward_cookies)
  forward_header_values                     = try(each.value.forward_header_values, var.forward_header_values)
  price_class                               = try(each.value.price_class, var.price_class)
  response_headers_policy_id                = try(each.value.response_headers_policy_id, var.response_headers_policy_id)
  viewer_protocol_policy                    = try(each.value.viewer_protocol_policy, var.viewer_protocol_policy)
  allowed_methods                           = try(each.value.allowed_methods, var.allowed_methods)
  cached_methods                            = try(each.value.cached_methods, var.cached_methods)
  cache_policy_id                           = try(each.value.cache_policy_id, var.cache_policy_id)
  origin_request_policy_id                  = try(each.value.origin_request_policy_id, var.origin_request_policy_id)
  default_ttl                               = try(each.value.default_ttl, var.default_ttl)
  min_ttl                                   = try(each.value.min_ttl, var.min_ttl)
  max_ttl                                   = try(each.value.max_ttl, var.max_ttl)
  trusted_signers                           = try(each.value.trusted_signers, var.trusted_signers)
  trusted_key_groups                        = try(each.value.trusted_key_groups, var.trusted_key_groups)
  geo_restriction_type                      = try(each.value.geo_restriction_type, var.geo_restriction_type)
  geo_restriction_locations                 = try(each.value.geo_restriction_locations, var.geo_restriction_locations)
  parent_zone_id                            = try(each.value.parent_zone_id, var.parent_zone_id)
  parent_zone_name                          = try(each.value.parent_zone_name, var.parent_zone_name)
  dns_alias_enabled                         = try(each.value.dns_alias_enabled, var.dns_alias_enabled)
  dns_allow_overwrite                       = try(each.value.dns_allow_overwrite, var.dns_allow_overwrite)
  custom_error_response                     = try(each.value.custom_error_response, var.custom_error_response)
  lambda_function_association               = try(each.value.lambda_function_association, var.lambda_function_association)
  function_association                      = try(each.value.function_association, var.function_association)
  web_acl_id                                = try(each.value.web_acl_id, var.web_acl_id)
  wait_for_deployment                       = try(each.value.wait_for_deployment, var.wait_for_deployment)
  encryption_enabled                        = try(each.value.encryption_enabled, var.encryption_enabled)
  index_document                            = try(each.value.index_document, var.index_document)
  redirect_all_requests_to                  = try(each.value.redirect_all_requests_to, var.redirect_all_requests_to)
  error_document                            = try(each.value.error_document, var.error_document)
  routing_rules                             = try(each.value.routing_rules, var.routing_rules)
  ipv6_enabled                              = try(each.value.ipv6_enabled, var.ipv6_enabled)
  ordered_cache                             = try(each.value.ordered_cache, var.ordered_cache)
  custom_origins                            = try(each.value.custom_origins, var.custom_origins)
  s3_origins                                = try(each.value.s3_origins, var.s3_origins)
  website_enabled                           = try(each.value.website_enabled, var.website_enabled)
  versioning_enabled                        = try(each.value.versioning_enabled, var.versioning_enabled)
  deployment_principal_arns                 = try(each.value.deployment_principal_arns, var.deployment_principal_arns)
  deployment_actions                        = try(each.value.deployment_actions, var.deployment_actions)
  cloudfront_origin_access_identity_iam_arn = try(each.value.cloudfront_origin_access_identity_iam_arn, var.cloudfront_origin_access_identity_iam_arn)
  cloudfront_origin_access_identity_path    = try(each.value.cloudfront_origin_access_identity_path, var.cloudfront_origin_access_identity_path)
  custom_origin_headers                     = try(each.value.custom_origin_headers, var.custom_origin_headers)
  origin_ssl_protocols                      = try(each.value.origin_ssl_protocols, var.origin_ssl_protocols)
  block_origin_public_access_enabled        = try(each.value.block_origin_public_access_enabled, var.block_origin_public_access_enabled)
  s3_access_logging_enabled                 = try(each.value.s3_access_logging_enabled, var.s3_access_logging_enabled)
  s3_access_log_bucket_name                 = try(each.value.s3_access_log_bucket_name, var.s3_access_log_bucket_name)
  s3_access_log_prefix                      = try(each.value.s3_access_log_prefix, var.s3_access_log_prefix)
  s3_object_ownership                       = try(each.value.s3_object_ownership, var.s3_object_ownership)
  cloudfront_access_logging_enabled         = try(each.value.cloudfront_access_logging_enabled, var.cloudfront_access_logging_enabled)
  cloudfront_access_log_create_bucket       = try(each.value.cloudfront_access_log_create_bucket, var.cloudfront_access_log_create_bucket)
  extra_logs_attributes                     = try(each.value.extra_logs_attributes, var.extra_logs_attributes)
  cloudfront_access_log_bucket_name         = try(each.value.cloudfront_access_log_bucket_name, var.cloudfront_access_log_bucket_name)
  cloudfront_access_log_include_cookies     = try(each.value.cloudfront_access_log_include_cookies, var.cloudfront_access_log_include_cookies)
  cloudfront_access_log_prefix              = try(each.value.cloudfront_access_log_prefix, var.cloudfront_access_log_prefix)
  distribution_enabled                      = try(each.value.distribution_enabled, var.distribution_enabled)
  s3_website_password_enabled               = try(each.value.s3_website_password_enabled, var.s3_website_password_enabled)
  origin_groups                             = try(each.value.origin_groups, var.origin_groups)
  access_log_bucket_name                    = try(each.value.access_log_bucket_name, var.access_log_bucket_name)
  logging_enabled                           = try(each.value.logging_enabled, var.logging_enabled)
  log_include_cookies                       = try(each.value.log_include_cookies, var.log_include_cookies)
  log_prefix                                = try(each.value.log_prefix, var.log_prefix)
  realtime_log_config_arn                   = try(each.value.realtime_log_config_arn, var.realtime_log_config_arn)
  allow_ssl_requests_only                   = try(each.value.allow_ssl_requests_only, var.allow_ssl_requests_only)
  origin_shield_enabled                     = try(each.value.origin_shield_enabled, var.origin_shield_enabled)
  http_version                              = try(each.value.http_version, var.http_version)
}
